Skip to main content
POST
/
fs
/
{source_id}
/
exec
Fs Exec
curl --request POST \
  --url https://apigcp.trynia.ai/v2/fs/{source_id}/exec \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "command": "<string>",
  "cwd": "/"
}
'
import requests

url = "https://apigcp.trynia.ai/v2/fs/{source_id}/exec"

payload = {
"command": "<string>",
"cwd": "/"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({command: '<string>', cwd: '/'})
};

fetch('https://apigcp.trynia.ai/v2/fs/{source_id}/exec', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

source_id
string
required

Body

application/json
command
string
required

Bash command to execute (e.g. 'cat /file.py', 'grep -rn pattern .')

cwd
string
default:/

Working directory for relative paths

Response

Successful Response